mptcpd_pm_ops Struct Reference

Path manager event tracking operations. More...

`#include <mptcpd/path_manager.h>`

## Public Attributes

void(* | ready )(struct mptcpd_pm *pm, void *user_data)
| Callback triggered when the path manager is ready. More...
void(* | not_ready )(struct mptcpd_pm *pm, void *user_data)
| Callback triggered when the path manager is not ready. More...

## Detailed Description

Path manager event tracking operations.

A set of functions to be called when changes in the path manager occur.

Note
  These callbacks will only fire if the main event loop is running, e.g. through the ELL `l_main_run()` function. Users only need to be concerned about this if they are explicitly creating a `struct` `mptcpd_pm` instance instead of relying on mptcpd to do so, such as what is done in some mptcpd unit tests.

## Member Data Documentation

## not_ready

void(* mptcpd_pm_ops::not_ready) (struct mptcpd_pm *pm, void *user_data)

Callback triggered when the path manager is not ready.

This callback will be triggered when the mptcpd path manager is no longer ready to interact with the kernel.

Parameters

  [in] | pm | Path manager object.
  [in] | user_data | User-supplied data.

## ready

void(* mptcpd_pm_ops::ready) (struct mptcpd_pm *pm, void *user_data)

Callback triggered when the path manager is ready.

This callback will be triggered when the mptcpd path manager is ready to interact with the kernel.

Parameters

  [in] | pm | Path manager object.
  [in] | user_data | User-supplied data.

The documentation for this struct was generated from the following file:

- include/mptcpd/path_manager.h